# `a` (directive in module `ng` )

Improve this doc

## Description

Modifies the default behavior of html A tag, so that the default action is prevented when href attribute is empty.

The reasoning for this change is to allow easy creation of action links with `ngClick` directive without changing the location or causing page reloads, e.g.: `<a href="" ng-click="model.$save()">Save</a>`

## Usage

This directive can be used as custom element, but we aware of IE restrictions.

as element:

    <a>
    </a>